package com.mx.dla.dda.contrato.transaccion.titulos.bos;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import com.mx.dla.dda.contrato.generales.daos.GeneralesDAO;
import com.mx.dla.dda.contrato.generales.dtos.ContratoDTO;
import com.mx.dla.dda.contrato.generales.dtos.FechasDTO;
import com.mx.dla.global.bos.BaseBO;

@Component
public class TitulosBussinesTranBO extends BaseBO{

	@Autowired
	protected GeneralesDAO generalesDAO;
	
	public ContratoDTO calculaFechasInicioFinValidacion(Long idCtoOri) throws Exception
	{
		ContratoDTO cto = null;
		try
		{
			FechasDTO fechas = generalesDAO.obtenerFechasMaximaMinimaDeContratosPorContratoOriginal(idCtoOri);
			cto = new ContratoDTO();
			cto.setFechaInicio(fechas.getInicio());
			cto.setFechaFin   (fechas.getFin());	
		}
		catch(Exception e)
		{
			logger.error("Error {}", e);
			throw new Exception("", e);
		}									
		return cto;
	}
}
